package com.one;

import com.one.file.FileConnection;
import java.io.IOException;

public abstract class Container
{
	protected static ContainerStateListener listener;

	public static void setListener(ContainerStateListener listener)
	{
		Container.listener = listener;
	}

	public abstract void init(String filename, boolean create) throws IOException;
	public abstract void init(RandomAccessInputStream rais) throws IOException;

	public abstract FileConnection getFileConnection(String file, int mode) throws IOException;

	public abstract void close() throws IOException;
}